/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.api.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 用户注册实体对象
 *
 * @author xuwei
 */
@Data
@ApiModel(value = "用户注册实体对象", description = "请求实体类")
public class UserRegisterRequest implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "注册手机号")
	private String phone;

	@ApiModelProperty(value = "推荐人邀请码")
	private String code;

	@ApiModelProperty(value = "密码")
	private String password;

}
