/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.finance.mapper;

import org.apache.ibatis.annotations.Param;
import org.springblade.modules.finance.entity.OrderConsign;
import org.springblade.modules.finance.vo.OrderConsignVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;

/**
 * 寄售订单表 Mapper 接口
 *
 * @author BladeX
 * @since 2022-02-13
 */
public interface OrderConsignMapper extends BaseMapper<OrderConsign> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param orderConsign
	 * @return
	 */
	List<OrderConsignVO> selectOrderConsignPage(IPage page, OrderConsignVO orderConsign);

	/**
	 * 用户抢购次数
	 * @param userId 用户ID
	 * @param consignConfigId 场次
	 * @return Integer
	 */
	Integer selectUserCount(@Param("userId") Long userId, @Param("consignConfigId") Long consignConfigId);

}
