/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.finance.pay.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 收益人实体类
 *
 * @author xuwei
 * @since 2021-10-02
 */
@Data
@ApiModel(value = "Profit对象", description = "Profit规则实体类")
public class ProfitBean implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "代理商收益比例")
	private Double agentRatio;

	@ApiModelProperty(value = "代理商收益区域")
	private String agentRegionCode;

	@ApiModelProperty(value = "代理商用户ID")
	private Long agentUserId;

	@ApiModelProperty(value = "区域提成比例")
	private Double areaRatio;

	@ApiModelProperty(value = "区域")
	private Double areaRegionCode;

	@ApiModelProperty(value = "区域提成受益人用户ID")
	private Long areaUserId;

	@ApiModelProperty(value = "商家提成比例")
	private Double shopRatio;

	@ApiModelProperty(value = "区域提成受益人用户ID")
	private Long shopUserId;

	@ApiModelProperty(value = "推广员提成比例")
	private Double promoterRatio;

	@ApiModelProperty(value = "推广员用户ID")
	private Long promoterUserId;

	@ApiModelProperty(value = "推广员提成比例")
	private Double staffRatio;

	@ApiModelProperty(value = "推广员用户ID")
	private Long staffUserId;

}
