/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.shopping.wrapper;

import org.springblade.common.cache.DictCache;
import org.springblade.common.enums.DictEnum;
import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.shopping.entity.GoodsSearch;
import org.springblade.modules.shopping.vo.GoodsSearchVO;
import java.util.Objects;

/**
 * 商品搜索表包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2022-03-15
 */
public class GoodsSearchWrapper extends BaseEntityWrapper<GoodsSearch, GoodsSearchVO>  {

	public static GoodsSearchWrapper build() {
		return new GoodsSearchWrapper();
 	}

	@Override
	public GoodsSearchVO entityVO(GoodsSearch goodsSearch) {
		GoodsSearchVO goodsSearchVO = Objects.requireNonNull(BeanUtil.copy(goodsSearch, GoodsSearchVO.class));
		goodsSearchVO.setStatusDisplayName(DictCache.getValue(DictEnum.YES_NO, goodsSearch.getStatus()));
		return goodsSearchVO;
	}

}
